## Classic Power Menu は root化していない環境で動きますか？

残念ながらそうではありません。クイック アクセス ウォレットとデバイス コントロールのAPIにアクセスするにはroot権限が必要で、ADB/`shell`の権限を用いても不可能なので、root化が必要なのです。

## なぜユーザー補助サービスは、私の画面を表示・操作するためのパーミッションが必要なのでしょうか？

"画面の表示と操作"の権限は、必要ない場合でも、すべてのユーザー補助サービスに自動的に付与されます。Classic Power Menuは、電源ボタンの長押しに反応するためにユーザー補助サービスを使用しているだけで、（オリジナルの電源メニューが開くタイミングを追跡することによって）他のデバイスやアプリの使用状況を追跡することはありません。

## Classic Power Menuを開くときに遅延が発生する / Classic Power Menuが開く前に通常の電源メニューが少し表示される

ユーザー補助サービスをご利用の場合、これは正常です。Classic Power Menuを開くには、オリジナルの電源メニューを起動する必要があるため、若干の遅延と、純正の電源メニューが表示される瞬間があるためです。

より高速にご利用いただくために、オプションのXposedモジュールがあり、この問題は発生しません。

## ポイントカードを利用するために、新しい支払い方法（「GPay」）ではなく、従来のGoogle Payが必要なのはなぜですか？

現在、従来のGoogle Payアプリからポイントカードを読み取る形式のみがサポートされています。これは、地域制限により新しいバージョンでのテストができないためです。今後、Googleが新しいアプリを全世界で展開する際には、この点が変更される可能性があります。

## クイック アクセス ウォレットで使用できるアプリは何ですか？

Google Payは、クイック アクセス ウォレットで動作する唯一のサービスとして知られています。Google PayやGPayをインストールしなくても動作しますが（Google Play開発者サービスが提供）、インストールすると設定が可能になります。

## デバイス コントロールと連携するアプリは？

デバイス コントロールと連携するアプリは数多く存在します。この機能はスマートホームの機器を制御するためのものなので、Google Homeなどのアプリが対応しています。

スマートホーム機器をお持ちでない方、またはスマートフォンの操作にスペースを使いたい方は、Google Playでクイック設定風のトグルとコントロールをメニューに追加するアプリがいくつかあります（「デバイスコントロール」で検索してください）。

上級者ユーザー向けに、Taskerは機能経由でタスクを実行することもサポートしています。

## 電源オプションに(x)ボタンを追加できませんか？

おそらくありません。電源オプションは意図的に最小限に抑えられています。機内モード、サウンドモードなど、より多くのオプションを使用するには、デバイスコントロールアプリ（上記のようなもの）を使用してください。

## 私のデバイスでは、背景ぼかしが機能しません

一部のデバイスでは、Classic Power Menuの背景ぼかしを動作させるために、システムの背景ぼかしを有効にする必要があります。これはターミナルまたはADBシェルでrootを使用して簡単に行うことができます。以下のコマンドは、Magiskを使用していることを前提としています。
```
su
resetprop ro.surface_flinger.supports_background_blur 1
pkill -TERM -f com. android.systemui
```

コマンドを入力後に端末を再起動し、ぼかしが有効になります。これには、通知シェードを開いているときなど、ぼかしが有効になっている場所の副作用がありますので、ご注意ください。無効にするには、同じコマンドを実行しますが、`1`ではなく、`0`を指定してください。

## Classic Power Menuを最新の状態に保つにはどうしたらよいですか？ このアプリはPlayストアにありますか？

Classic Power Menuは、ユーザー補助サービス（非ユーザー補助用途）の使用と、rootによる権限回避（クイック アクセス ウォレットとデバイス コントロールの用途）のため、利用規約を満たさないためPlayストアにはありません。

その代わり、Classic Power Menuは定期的および起動時に更新があるかを確認し、更新がある場合は通知します。

